# Tag Name: generator

## Description

Generate an iterator for a iterable source.

## Attributes

#### Name | #### Required | #### Default | #### Evaluated | #### Type | #### Description
--- | --- | --- | --- | --- | ---
converter | false |  | false | org.apache.struts2.util.IteratorGenerator.Converter | The converter to convert the String entry parsed from val into an object
count | false |  | false | Integer | The max number entries to be in the iterator
id | false |  | false | String | The id to store the resultant iterator into page context, if such id is supplied
separator | true |  | false | String | The separator to be used in separating the val into entries of the iterator
val | true |  | false | String | The source to be parsed into an iterator